[Scipy-tickets] [SciPy] #1199: Python quit unexpectedly-interpolate

SciPy Trac scipy-tickets@scipy....
Thu Jun 23 22:26:47 CDT 2011


#1199: Python quit unexpectedly-interpolate
-------------------------------+--------------------------------------------
 Reporter:  aint               |       Owner:  somebody   
     Type:  defect             |      Status:  needs_info 
 Priority:  normal             |   Milestone:  Unscheduled
Component:  scipy.interpolate  |     Version:  0.7.0      
 Keywords:                     |  
-------------------------------+--------------------------------------------

Comment(by randomsample):

 Replying to [comment:1 pv]:
 > 1) Quite likely, you are trying to run Scipy with a wrong version of
 Numpy. Check that `import numpy; print numpy.__version__, numpy.__file__`
 point to the same Numpy used to compile Scipy.
 >
 > 2) How did you install Scipy? From binaries, or did you compile it by
 yourself.


 I'm not the OP but this was very helpful. Though I still found some
 irregularities. In PyDev in Eclipse I encountered this problem, but I
 could import scipy fine from idle and the command line. If I looked at
 scipy.__numpyversion__ and numpy.__version__, they matched in Eclipse but
 not on the command line (the opposite I expected). When I removed the
 older version of numpy and re-configured the interpreter, Eclipse began to
 work.

 I still don't quite understand what happened with the versions, but the
 problem is fixed, so I'm happy!

-- 
Ticket URL: <http://projects.scipy.org/scipy/ticket/1199#comment:3>
SciPy <http://www.scipy.org>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list